## sxiv 0.9

=== Makefile ===
all: sxiv

VERSION = 0.9

CC = gcc
DESTDIR =
PREFIX = /usr/local
CFLAGS = -Wall -pedantic -O2 -DVERSION=\"$(VERSION)\"
LDFLAGS =
LIBS = -lX11 -lImlib2

SRC = events.o image.c main.c options.c thumbs.c util.c window.c
OBJ = $(SRC:.c=.o)

sxiv:	$(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

$(OBJ): Makefile config.h

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<

install: all
	install -D -m 755 -o root -g root sxiv $(DESTDIR)$(PREFIX)/bin/sxiv
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	sed "s/VERSION/$(VERSION)/g" sxiv.1 > $(DESTDIR)$(PREFIX)/share/man/man1/sxiv.1
	chmod 644 $(DESTDIR)$(PREFIX)/share/man/man1/sxiv.1

clean:
	rm -f $(OBJ) sxiv

=== debian/changelog ===
sxiv (0.9-1) unstable; urgency=low

  * New upstream release
  * debian/patches
    + allow-cflags-override.diff patch to
      remove gcc optimization from Makefile
      and overridden with DEB_BUILD_OPTIONS 
      and dpkg-buildflags
  * debian/rules
    + DEB_BUILD_OPTIONS=noopt to force
      gcc optimization -O0
    + Use dpkg-buildflags to get default
      cflags
  * debian/copyright
    + Update copyright file to DEP5 rev 174  	

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 07 Sep 2011 14:56:23 -0500

sxiv (0.8.2-3) unstable; urgency=low

  * Updated watch file
  * Readme.md file isn't needed
  * Added suggests field in debian/control

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 07 Jul 2011 13:29:20 -0500

sxiv (0.8.2-2) unstable; urgency=low

  * Install mailcap entries (Closes: #632914)
  * Added fix_manpage.diff patch
    + Fix hyphen-used-as-minus-sign

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 06 Jul 2011 19:43:51 -0500

sxiv (0.8.2-1) unstable; urgency=low

  * Initial release (Closes: #631728)

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 30 Jun 2011 16:34:51 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_OPTIONS=noopt
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## sxiv 1.0

=== Makefile ===
VERSION = 1.0

CC      = gcc
CFLAGS  = -ansi -Wall -pedantic -O2
LDFLAGS =
LIBS    = -lX11 -lImlib2

PREFIX    = /usr/local
MANPREFIX = $(PREFIX)/share/man

SRC = commands.c image.c main.c options.c thumbs.c util.c window.c
OBJ = $(SRC:.c=.o)

all: options sxiv

options:
	@echo "sxiv build options:"
	@echo "CC      = $(CC)"
	@echo "CFLAGS  = $(CFLAGS)"
	@echo "LDFLAGS = $(LDFLAGS)"
	@echo "PREFIX  = $(PREFIX)"

.c.o:
	@echo "CC $<"
	@$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -c -o $@ $<

$(OBJ) config: Makefile config.h

config: config.c
	@$(CC) $(CFLAGS) -o $@ $@.c

config.h:
	@echo "creating $@ from config.def.h"
	@cp config.def.h $@

sxiv:	$(OBJ) config
	@echo "CC -o $@"
	@$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS) $$(./config -l)

clean:
	@echo "cleaning"
	@rm -f $(OBJ) config sxiv sxiv-$(VERSION).tar.gz

dist: clean
	@echo "creating dist tarball"
	@mkdir -p sxiv-$(VERSION)
	@cp LICENSE Makefile README.md config.def.h sxiv.1 $(SRC) config.c \
	    sxiv-$(VERSION)
	@tar -cf sxiv-$(VERSION).tar sxiv-$(VERSION)
	@gzip sxiv-$(VERSION).tar
	@rm -rf sxiv-$(VERSION)

install: all
	@echo "installing executable file to $(DESTDIR)$(PREFIX)/bin"
	@install -D -m 755 sxiv $(DESTDIR)$(PREFIX)/bin/sxiv
	@echo "installing manual page to $(DESTDIR)$(MANPREFIX)/man1"
	@mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	@sed "s/VERSION/$(VERSION)/g" sxiv.1 > $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	@chmod 644 $(DESTDIR)$(MANPREFIX)/man1/sxiv.1

uninstall:
	@echo "removing executable file from $(DESTDIR)$(PREFIX)/bin"
	@rm -f $(DESTDIR)$(PREFIX)/bin/sxiv
	@echo "removing manual page from $(DESTDIR)$(MANPREFIX)/man1"
	@rm -f $(DESTDIR)$(MANPREFIX)/man1/sxiv.1

=== debian/changelog ===
sxiv (1.0-1) unstable; urgency=low

  * New upstream release
  * Remove fix-manpage.diff
    + Merge with upstream	
  * Refresh allow-cflags-override.diff patch
  * debian/copyright
    + Update upstream email address
  * Use cflags, ldflags and cppflags from dpkg-buildflags

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 05 Nov 2011 12:56:11 -0500

=== debian/control ===
Source: sxiv
Section: graphics
Priority: extra
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 8.0.0), libimlib2-dev
Standards-Version: 3.9.2
Homepage: https://github.com/muennich/sxiv

Package: sxiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libjpeg-progs, imagemagick
Description: simple X image viewer
 sxiv is an alternative to feh and qiv. Its only dependency besides xlib 
 is imlib2. The primary goal for writing sxiv is to create an image 
 viewer, which only has the most basic features required for fast image 
 viewing. It works nicely with tiling window managers and its code base 
 should be kept small and clean to make it easy for you to dig into it 
 and customize it for your needs.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3
http://githubredir.debian.net/github/muennich/sxiv/([\d\.]+).tar.gz

## sxiv 1.1.1

=== Makefile ===
VERSION = 1.1.1

PREFIX    = /usr/local
MANPREFIX = $(PREFIX)/share/man

CC      = gcc
CFLAGS  = -std=c99 -Wall -pedantic -O2 -I$(PREFIX)/include -DHAVE_GIFLIB
LDFLAGS = -L$(PREFIX)/lib
LIBS    = -lX11 -lImlib2 -lgif

SRC = commands.c exif.c image.c main.c options.c thumbs.c util.c window.c
OBJ = $(SRC:.c=.o)

all: sxiv

$(OBJ): Makefile config.h

.c.o:
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -c -o $@ $<

config.h:
	cp config.def.h $@

sxiv:	$(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

clean:
	rm -f $(OBJ) sxiv

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp sxiv $(DESTDIR)$(PREFIX)/bin/
	chmod 755 $(DESTDIR)$(PREFIX)/bin/sxiv
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" sxiv.1 > $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	mkdir -p $(DESTDIR)$(PREFIX)/share/sxiv/exec
	cp image-info $(DESTDIR)$(PREFIX)/share/sxiv/exec/image-info
	chmod 755 $(DESTDIR)$(PREFIX)/share/sxiv/exec/image-info

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/sxiv
	rm -f $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	rm -rf $(DESTDIR)$(PREFIX)/share/sxiv

=== debian/changelog ===
sxiv (1.1.1-2) unstable; urgency=low

  * debian/patches
    + Refresh allow-cflags-override.diff patch 
      + Allow correctly usage of CFLAGS and LDFLAGS (Closes: #729628)
      + Thanks to Julián Moreno for the fix
  * debian/rules
    + Pass properly CFLAGS and LDFLAGS to avoid override them
  * Update copyright file
  * Switch compat level 8 to 9

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 16 Nov 2013 22:22:09 -0500

sxiv (1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Bump standard versions to 3.9.4 (no changes)
    + Bump debhelper to 9 in B-D
  * debian/patches
    + Refresh allow-cflags-override.diff patch
  * Add sxiv.docs to install README.md file
  * debian/copyright
    + Extend copyright holders years
  * Update watch file
    + Thanks to John Paul Adrian Glaubitz

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 16 May 2013 22:29:44 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: extra
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), libimlib2-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libimlib2-dev
+Standards-Version: 3.9.4
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) PREFIX=/usr
	

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## sxiv 1.2

=== Makefile ===
VERSION = 1.2

PREFIX    = /usr/local
MANPREFIX = $(PREFIX)/share/man

CC       = gcc
CFLAGS   = -std=c99 -Wall -pedantic -O2
CPPFLAGS = -I$(PREFIX)/include -D_XOPEN_SOURCE=500 -DHAVE_GIFLIB
LDFLAGS  = -L$(PREFIX)/lib
LIBS     = -lX11 -lImlib2 -lgif

SRC = commands.c exif.c image.c main.c options.c thumbs.c util.c window.c
OBJ = $(SRC:.c=.o)

all: sxiv

$(OBJ): Makefile config.h

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DVERSION=\"$(VERSION)\" -c -o $@ $<

config.h:
	cp config.def.h $@

sxiv:	$(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

clean:
	rm -f $(OBJ) sxiv

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp sxiv $(DESTDIR)$(PREFIX)/bin/
	chmod 755 $(DESTDIR)$(PREFIX)/bin/sxiv
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" sxiv.1 > $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	mkdir -p $(DESTDIR)$(PREFIX)/share/sxiv/exec
	cp exec/* $(DESTDIR)$(PREFIX)/share/sxiv/exec/
	chmod 755 $(DESTDIR)$(PREFIX)/share/sxiv/exec/*

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/sxiv
	rm -f $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	rm -rf $(DESTDIR)$(PREFIX)/share/sxiv

=== debian/changelog ===
sxiv (1.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    + Bump standard versions 3.9.5 (no changes)
  * debian/patches
    + Refresh allow-cflags-override.diff patch
    + Add install_icons.diff patch
      + Install icons
    + Add fix_manpage.diff
      + Fix hyphen-used-as-minus-sign lintian warning in manpage
      + Fix typo
    + Add not_install_examples.diff patch
      + Don't install examples files from Makefile
  * Add debian/sxiv.xpm
  * Add debian/sxiv.examples
    + Install examples files from debhelper
  * Add debian/sxiv.install
  * Add debian/sxiv.menu
  * debian/copyright
    + Extend copyright holders years
 
 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 10 May 2014 13:45:02 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper (>= 9), libimlib2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv

## sxiv 1.3.1

=== Makefile ===
VERSION   := 1.3.1

PREFIX    := /usr/local
MANPREFIX := $(PREFIX)/share/man

CC        ?= gcc
CFLAGS    += -std=c99 -Wall -pedantic
CPPFLAGS  += -I$(PREFIX)/include -D_XOPEN_SOURCE=500 -DHAVE_LIBEXIF -DHAVE_GIFLIB
LDFLAGS   += -L$(PREFIX)/lib
LIBS      := -lX11 -lImlib2 -lexif -lgif

SRC := commands.c image.c main.c options.c thumbs.c util.c window.c
DEP := $(SRC:.c=.d)
OBJ := $(SRC:.c=.o)

all: config.h sxiv

$(OBJ): Makefile

-include $(DEP)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -DVERSION=\"$(VERSION)\" -MMD -MP -c -o $@ $<

config.h:
	cp config.def.h $@

sxiv:	$(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

clean:
	rm -f $(OBJ) $(DEP) sxiv

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp sxiv $(DESTDIR)$(PREFIX)/bin/
	chmod 755 $(DESTDIR)$(PREFIX)/bin/sxiv
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" sxiv.1 > $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	mkdir -p $(DESTDIR)$(PREFIX)/share/sxiv/exec
	cp exec/* $(DESTDIR)$(PREFIX)/share/sxiv/exec/
	chmod 755 $(DESTDIR)$(PREFIX)/share/sxiv/exec/*

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/sxiv
	rm -f $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	rm -rf $(DESTDIR)$(PREFIX)/share/sxiv

=== debian/changelog ===
sxiv (1.3.1-1build1) xenial; urgency=medium

  * No-change rebuild against libgif7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Nov 2015 19:42:02 +0000

sxiv (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    + Add libexif-dev in B-D.
    + Bump standard versions 3.9.6 (no changes.)
  * debian/patches
    + Remove allow-cflags-override.diff patch.
      + Merge with upstream.
    + Refresh all patches.
  
 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 11 Dec 2014 14:29:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: sxiv
 Section: graphics
 Priority: extra
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 9), libimlib2-dev
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Build-Depends: debhelper (>= 9), libimlib2-dev, libexif-dev
+Standards-Version: 3.9.6
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv

## sxiv 1.3.1-1

=== debian/control ===
Source: sxiv
Section: user/graphics
Priority: extra
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxt-dev, libimlib2-dev, libexif-dev, libgif-dev
Standards-Version: 3.7.2
Homepage: https://github.com/muennich/sxiv

Package: sxiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://github.com/muennich/sxiv
Description: Simple X Image Viewer
 sxiv is an alternative to feh and qiv. Its only dependencies besides
 xlib are imlib2, libexif and giflib. The primary goal for writing sxiv
 is to create an image viewer, which only has the most basic features
 required for fast image viewing (the ones I want). It has vi key
 bindings and works nicely with tiling window managers. Its code base
 should be kept small and clean to make it easy for you to dig into it
 and customize it for your needs.
XB-Maemo-Display-Name: sxiv image viewer
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAHlBMVEUiIDT/
 //8wYIL78jaZ5VB2QoqsMjI3lG5qvjDZV2PHoLJsAAAAt0lEQVR42t3P0Q6D
 IAyFYegAy/u/8BojHjtGm+5iZvsvDInnM5KMcs5p6n7w5+WRnBfPXwDqcAsg
 KQBoD2v1eioRxQB9EbiRLjaXvHkMUBBQEFAQPI5K0aCacxiAWldzAAlAas34
 +ghgF7jNtsdcXhsAAvMFUkAEYYuugBXodGQQVkDEwgDweWkBhuATsAZrwW+A
 I/gCGoAhJA08AdBCAHsAS6TWPgMdABmgB0EH8H4qTXsP6L0PnkmAFghoCBqz
 AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sxiv.sgml > sxiv.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sxiv.
	$(MAKE) DESTDIR=$(CURDIR)/debian/sxiv PREFIX="/usr/" install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sxiv 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,24 @@
-VERSION   := 1.3.1
+VERSION   := 1.3.2
 
 PREFIX    := /usr/local
 MANPREFIX := $(PREFIX)/share/man
 
 CC        ?= gcc
 CFLAGS    += -std=c99 -Wall -pedantic
-CPPFLAGS  += -I$(PREFIX)/include -D_XOPEN_SOURCE=500 -DHAVE_LIBEXIF -DHAVE_GIFLIB
+CPPFLAGS  += -I$(PREFIX)/include -D_XOPEN_SOURCE=700
 LDFLAGS   += -L$(PREFIX)/lib
-LIBS      := -lX11 -lImlib2 -lexif -lgif
+LIBS      := -lX11 -lImlib2
+
+# optional dependencies:
+# giflib: gif animations
+	CPPFLAGS += -DHAVE_GIFLIB
+	LIBS     += -lgif
+# libexif: jpeg auto-orientation, exif thumbnails
+	CPPFLAGS += -DHAVE_LIBEXIF
+	LIBS     += -lexif
+
+
+.PHONY: clean install uninstall
 
 SRC := commands.c image.c main.c options.c thumbs.c util.c window.c
 DEP := $(SRC:.c=.d)

=== debian/changelog ===
sxiv (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Refresh install_icons.diff patch.
    + Refresh not_install_examples.diff patch.
    + Add fix_undefined_behavior.diff patch.
      + Fix undefined behavior/uninitialised variables. (Closes: #795290)
        + Thanks to George Bradshaw for the patch
  * debian/sxiv.install
    + Install desktop file. (Closes: #796720)
  * remove sxiv.menu file.
    + Now is prohibited install both files (desktop and menu file).
  * debian/copyright
    + Extend copyright holders years.
  * debian/rules
    + Enable LFS support.

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 25 Dec 2015 21:39:05 -0500

=== debian/control ===
Source: sxiv
Section: graphics
Priority: extra
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 9), libimlib2-dev, libexif-dev
Standards-Version: 3.9.6
Homepage: https://github.com/muennich/sxiv

Package: sxiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libjpeg-progs, imagemagick
Description: simple X image viewer
 sxiv is an alternative to feh and qiv. Its only dependency besides xlib 
 is imlib2. The primary goal for writing sxiv is to create an image 
 viewer, which only has the most basic features required for fast image 
 viewing. It works nicely with tiling window managers and its code base 
 should be kept small and clean to make it easy for you to dig into it 
 and customize it for your needs.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(shell getconf LFS_CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) PREFIX=/usr
	

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3
https://github.com/muennich/sxiv/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## sxiv 24

=== Makefile ===
VERSION = 24

srcdir = .
VPATH = $(srcdir)

PREFIX = /usr/local
MANPREFIX = $(PREFIX)/share/man

CC = cc
DEF_CFLAGS = -std=c99 -Wall -pedantic
DEF_CPPFLAGS = -I/usr/include/freetype2

# autoreload backend: inotify/nop
AUTORELOAD = inotify

# enable features requiring giflib (-lgif)
HAVE_GIFLIB = 1

# enable features requiring libexif (-lexif)
HAVE_LIBEXIF = 1

ALL_CFLAGS = $(DEF_CFLAGS) $(CFLAGS)
REQ_CPPFLAGS = -I. -D_XOPEN_SOURCE=700 -DVERSION=\"$(VERSION)\" \
  -DHAVE_GIFLIB=$(HAVE_GIFLIB) -DHAVE_LIBEXIF=$(HAVE_LIBEXIF)
ALL_CPPFLAGS = $(REQ_CPPFLAGS) $(DEF_CPPFLAGS) $(CPPFLAGS)

LIB_EXIF_0 =
LIB_EXIF_1 = -lexif
LIB_GIF_0 =
LIB_GIF_1 = -lgif
LDLIBS = -lImlib2 -lX11 -lXft \
  $(LIB_EXIF_$(HAVE_LIBEXIF)) $(LIB_GIF_$(HAVE_GIFLIB))

OBJS = autoreload_$(AUTORELOAD).o commands.o image.o main.o options.o \
  thumbs.o util.o window.o

all: sxiv

.PHONY: all clean install uninstall
.SUFFIXES:
.SUFFIXES: .c .o
$(V).SILENT:

sxiv: $(OBJS)
	@echo "LINK $@"
	$(CC) $(LDFLAGS) $(ALL_CFLAGS) -o $@ $(OBJS) $(LDLIBS)

$(OBJS): Makefile sxiv.h commands.lst config.h
window.o: icon/data.h

.c.o:
	@echo "CC $@"
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c -o $@ $<

config.h:
	@echo "GEN $@"
	cp $(srcdir)/config.def.h $@

clean:
	rm -f *.o sxiv

install: all
	@echo "INSTALL bin/sxiv"
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp sxiv $(DESTDIR)$(PREFIX)/bin/
	chmod 755 $(DESTDIR)$(PREFIX)/bin/sxiv
	@echo "INSTALL sxiv.1"
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" sxiv.1 \
		>$(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	@echo "INSTALL share/sxiv/"
	mkdir -p $(DESTDIR)$(PREFIX)/share/sxiv/exec
	cp exec/* $(DESTDIR)$(PREFIX)/share/sxiv/exec/
	chmod 755 $(DESTDIR)$(PREFIX)/share/sxiv/exec/*

uninstall:
	@echo "REMOVE bin/sxiv"
	rm -f $(DESTDIR)$(PREFIX)/bin/sxiv
	@echo "REMOVE sxiv.1"
	rm -f $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	@echo "REMOVE share/sxiv/"
	rm -rf $(DESTDIR)$(PREFIX)/share/sxiv

=== icon/Makefile ===
PREFIX = /usr/local
ICONS  = 16x16.png 32x32.png 48x48.png 64x64.png 128x128.png

all:

install:
	for f in $(ICONS); do \
		dir="$(DESTDIR)$(PREFIX)/share/icons/hicolor/$${f%.png}/apps"; \
		mkdir -p "$$dir"; \
		cp "$$f" "$$dir/sxiv.png"; \
		chmod 644 "$$dir/sxiv.png"; \
	done

=== debian/changelog ===
sxiv (24-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Refresh install_icons.diff patch.
    + Refresh fix_manpage.diff patch.
    + Refresh not_install_examples.diff patch.
    + Remove fix_undefined_behavior.diff patch.
      + Merge with upstream.
  * debian/control
    + Add libxft-dev in B.D 
    + Bump Standards-Version 4.1.1.
      + Use HTTPS in Link to copyright format.
      + Change priority extra by optional.

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 30 Oct 2017 22:33:38 -0500

sxiv (1.3.2-2) unstable; urgency=medium

  * Fix FTCBFS Let dh_auto_build pass
    cross compilers to make. (Closes: #871393).
    + Thanks to Helmut Grohne for the patch!.
  * debian/control
    + Bump standard versions 4.0.0 (no changes).
    + Bump debhelper to 10 in B-D.
    + Switch compat level 9 to 10.
  * debian/copyright
    + Extend debian copyright holders years.
  * debian/rules
    + export hardening flags.

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 08 Aug 2017 22:45:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: sxiv
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 9), libimlib2-dev, libexif-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), libimlib2-dev, libexif-dev, libxft-dev
+Standards-Version: 4.1.1
 Homepage: https://github.com/muennich/sxiv
 
 Package: sxiv

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr
	

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## sxiv 25

=== Makefile ===
version = 25

srcdir = .
VPATH = $(srcdir)

PREFIX = /usr/local
MANPREFIX = $(PREFIX)/share/man

# autoreload backend: inotify/nop
AUTORELOAD = inotify

# enable features requiring giflib (-lgif)
HAVE_GIFLIB = 1

# enable features requiring libexif (-lexif)
HAVE_LIBEXIF = 1

cflags = -std=c99 -Wall -pedantic $(CFLAGS)
cppflags = -I. $(CPPFLAGS) -D_XOPEN_SOURCE=700 -DHAVE_GIFLIB=$(HAVE_GIFLIB) \
  -DHAVE_LIBEXIF=$(HAVE_LIBEXIF) -I/usr/include/freetype2

lib_exif_0 =
lib_exif_1 = -lexif
lib_gif_0 =
lib_gif_1 = -lgif
ldlibs = $(LDLIBS) -lImlib2 -lX11 -lXft -lfontconfig \
  $(lib_exif_$(HAVE_LIBEXIF)) $(lib_gif_$(HAVE_GIFLIB))

objs = autoreload_$(AUTORELOAD).o commands.o image.o main.o options.o \
  thumbs.o util.o window.o

all: sxiv

.PHONY: all clean install uninstall
.SUFFIXES:
.SUFFIXES: .c .o
$(V).SILENT:

sxiv: $(objs)
	@echo "LINK $@"
	$(CC) $(LDFLAGS) -o $@ $(objs) $(ldlibs)

$(objs): Makefile sxiv.h commands.lst config.h
options.o: version.h
window.o: icon/data.h

.c.o:
	@echo "CC $@"
	$(CC) $(cflags) $(cppflags) -c -o $@ $<

config.h:
	@echo "GEN $@"
	cp $(srcdir)/config.def.h $@

version.h: Makefile .git/index
	@echo "GEN $@"
	v="$$(cd $(srcdir); git describe 2>/dev/null)"; \
	echo "#define VERSION \"$${v:-$(version)}\"" >$@

.git/index:

clean:
	rm -f *.o sxiv

install: all
	@echo "INSTALL bin/sxiv"
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp sxiv $(DESTDIR)$(PREFIX)/bin/
	chmod 755 $(DESTDIR)$(PREFIX)/bin/sxiv
	@echo "INSTALL sxiv.1"
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s!PREFIX!$(PREFIX)!g; s!VERSION!$(version)!g" sxiv.1 \
		>$(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	@echo "INSTALL share/sxiv/"
	mkdir -p $(DESTDIR)$(PREFIX)/share/sxiv/exec
	cp exec/* $(DESTDIR)$(PREFIX)/share/sxiv/exec/
	chmod 755 $(DESTDIR)$(PREFIX)/share/sxiv/exec/*

uninstall:
	@echo "REMOVE bin/sxiv"
	rm -f $(DESTDIR)$(PREFIX)/bin/sxiv
	@echo "REMOVE sxiv.1"
	rm -f $(DESTDIR)$(MANPREFIX)/man1/sxiv.1
	@echo "REMOVE share/sxiv/"
	rm -rf $(DESTDIR)$(PREFIX)/share/sxiv

=== debian/changelog ===
sxiv (25-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change my email address.
    + Bump Standards-Version 4.3.0.
    + Bump debhelper to 11 in B-D.
    + Set architecture field to linux-any.
  * Switch compat level 10 to 11.
  * debian/rules
    + Add override to fix FTBFS on second try.
  * debian/patches
    + Refresh all patches.
  * Remove some trailing-whitespaces.
  * Use wrap-and-sort.
  * Add metadata file.

 -- Daniel Echeverry <epsilon@debian.org>  Wed, 06 Feb 2019 11:16:32 -0500

=== debian/control ===
Source: sxiv
Section: graphics
Priority: optional
Maintainer: Daniel Echeverry <epsilon@debian.org>
Build-Depends: debhelper (>= 11),
               libexif-dev,
               libimlib2-dev,
               libxft-dev
Standards-Version: 4.3.0
Homepage: https://github.com/muennich/sxiv

Package: sxiv
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: imagemagick,
          libjpeg-progs
Description: simple X image viewer
 sxiv is an alternative to feh and qiv. Its only dependency besides xlib
 is imlib2. The primary goal for writing sxiv is to create an image
 viewer, which only has the most basic features required for fast image
 viewing. It works nicely with tiling window managers and its code base
 should be kept small and clean to make it easy for you to dig into it
 and customize it for your needs.

## sxiv 26

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version = 25
+version = 26
 
 srcdir = .
 VPATH = $(srcdir)
@@ -16,8 +16,9 @@
 HAVE_LIBEXIF = 1
 
 cflags = -std=c99 -Wall -pedantic $(CFLAGS)
-cppflags = -I. $(CPPFLAGS) -D_XOPEN_SOURCE=700 -DHAVE_GIFLIB=$(HAVE_GIFLIB) \
-  -DHAVE_LIBEXIF=$(HAVE_LIBEXIF) -I/usr/include/freetype2
+cppflags = -I. $(CPPFLAGS) -D_XOPEN_SOURCE=700 \
+  -DHAVE_GIFLIB=$(HAVE_GIFLIB) -DHAVE_LIBEXIF=$(HAVE_LIBEXIF) \
+  -I/usr/include/freetype2 -I$(PREFIX)/include/freetype2
 
 lib_exif_0 =
 lib_exif_1 = -lexif

=== debian/changelog ===
sxiv (26-2) unstable; urgency=medium

  * Maintain in Debian Phototools team
    Closes: #1128420
  * Fix Homepage
  * d/watch: version=5
  * d/copyright: fix Source
  * Use alternatives to enable providing forks like nsxiv the sxiv executable
    Closes: #1082303
  * debhelper-compat (= 13)
  * cme fix dpkg-control
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Since version 24 multipage TIFF file can be viewed
    Closes: #833648

 -- Andreas Tille <tille@debian.org>  Thu, 19 Feb 2026 22:31:48 +0100

sxiv (26-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version 4.4.1.
    + Use debhelper-compat instead of debian/compat.
    + Mark Rules-Requires-Root: no as we don't need root for building.
  * debian/sxiv.mime
    + remove the single quotes around %s to avoid lintian warning.
  * debian/patches
    + Refresh install_icons.diff patch.
    + Refresh not_install_examples.diff patch.
    + Add dependencies.patch.
      + Fix FTCBFS: uses the wrong compiler. (Closes: #922939).
        + Thanks to Helmut Grohne for the patch.

 -- Daniel Echeverry <epsilon@debian.org>  Tue, 21 Jan 2020 20:32:16 -0500

=== debian/control ===
Source: sxiv
Standards-Version: 4.7.3
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Daniel Echeverry <epsilon@debian.org>,
 Andreas Tille <tille@debian.org>,
Section: graphics
Build-Depends:
 debhelper-compat (= 13),
 libexif-dev,
 libimlib2-dev,
 libxft-dev,
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/sxiv
Vcs-Git: https://salsa.debian.org/debian-phototools-team/sxiv.git
Homepage: https://github.com/xyb3rt/sxiv
Rules-Requires-Root: no

Package: sxiv
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 imagemagick,
 libjpeg-progs,
Description: simple X image viewer
 sxiv is an alternative to feh and qiv. Its only dependency besides xlib
 is imlib2. The primary goal for writing sxiv is to create an image
 viewer, which only has the most basic features required for fast image
 viewing. It works nicely with tiling window managers and its code base
 should be kept small and clean to make it easy for you to dig into it
 and customize it for your needs.

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,19 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf config.h version.h
+
 override_dh_auto_build:
 	dh_auto_build -- PREFIX=/usr
 	
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+
+override_dh_install:
+	dh_install
+	mv debian/`dh_listpackages`/usr/bin/sxiv debian/`dh_listpackages`/usr/bin/sxiv.sxiv
+	mv debian/`dh_listpackages`/usr/share/man/man1/sxiv.1 debian/`dh_listpackages`/usr/share/man/man1/sxiv.sxiv.1
+	sed -i 's/^Exec=sxiv/&.sxiv/' debian/`dh_listpackages`/usr/share/applications/sxiv.desktop

=== debian/watch ===
Version: 5

Template: Github
Owner: xyb3rt
Project: sxiv
